gvSIG 2.1 installer gets blocked while trying to install the plugings
Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Category: Installer

Target version: 2.1.0-2221-testing

Severity: Add-on version:

gvSIG version: 2.1.0 Add-on build:

gvSIG build: 2216 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

When installing gvSIG 2.1 (tested with build 2215 and 2216), the gvSIG basic framework is installed, but the plugin installer gets

blocked and no plugin get installed.

The installer is not really frozen (it is possible to press 'Back' button), but no progress happens on the plugin installation (the message

"Instalar paquetes, 0/62" is always shown). See attached snapshot.

Related issues:

Related to Application: gvSIG desktop - gvSIG bugs # 2309: No aparece adminis...

Closed 02/10/2014

History

#1 - 01/16/2014 02:44 PM - Cesar Martinez lzquierdo

| forgot to provide operating system details:
Distributor ID:  LinuxMint

Description:  Linux Mint 14 Nadia
Release: 14

Codename: nadia

#2 - 01/16/2014 03:03 PM - Cesar Martinez lzquierdo

Note that the plugin installer only fails from gvSIG installer. It is possible to correctly execute the manager and install plugins within gvSIG afterwards.

#3 - 01/16/2014 04:24 PM - Alvaro Anguix

- Assignee set to Joaquin del Cerro Murciano

#4 - 01/29/2014 10:09 AM - Alvaro Anguix
- Target version set to 2.1.0-2219-testing

#5 - 02/17/2014 08:40 PM - Joaquin del Cerro Murciano
- Target version changed from 2.1.0-2219-testing to 2.1.0-2221-testing

#6 - 02/19/2014 12:38 PM - Alvaro Anguix
- Status changed from New to Awaiting response
Probablemente tenga que ver con lo comentado en el ticket relacionado y ubuntu 13.10/64bits

Paso a copiar el comentario de Joaquin:
Parece que en versiones recientes de ubuntu han eliminado el paquete ia32-libs que mantenia compatibilidad con sistemas de 32bits, y en su lugar
han metido algo que llaman MultiArch (https://help.ubuntu.com/community/MultiArch)

En versiones de ubuntu 13.04 y superiores de 64 bits, por defecto no hay librerias de 32bits que son necesarias para que gvSIG funciones

actualmente, tanto si utilizamos la jre con la que va gvSIG como la del sistema.

La solucion pasaria por instalar una jre del sistema de 32bits, ya que esta metera las librerias nativas del sistema que precise.

Para hacerlo tendriamos que ejecutar:

sudo apt-get install openjdk-7-jdk:i386

César: si puedes, prueba a ver si esto soluciona estos problemas que tenias

#7 - 02/19/2014 12:45 PM - Cesar Martinez lzquierdo

Este sistema lo tengo en casa, intentaré probarlo esta tarde o manana.

#8 - 02/21/2014 09:19 AM - Cesar Martinez Izquierdo

Hola, con el tltimo build 2220 me ha funcionado correctamente sin instalar ningin paquete adicional, no sé si es casualidad o ha habido algin

cambio.

He mirado qué Java esta usando ahora el instalador, y he comprobado que usa el que esta instalado en el directorio de gvSIG (que es de 32 bits y
por tanto adecuado).

#9 - 02/21/2014 09:24 AM - Alvaro Anguix

Pues no sé, a mi me funcionaba bien con mi ubuntu actualizado durante varias versiones; fue al instalar uno limpio cuando tuve el problema

(solucionado al instalar librerias de 32bits para raster y lo que indica Joaquin)

#10 - 02/21/2014 09:25 AM - Alvaro Anguix
- Status changed from Awaiting response to Fixed

Por lo que comentas, lo paso a fixed.

#11 - 03/10/2014 01:34 PM - Alvaro Anguix

- Status changed from Fixed to Closed
